package com.ghy.order.mapper;

import com.ghy.order.domain.OrderTemplate;
import com.ghy.order.domain.OrderTemplateGoods;

import java.util.List;
import java.util.Set;

/**
 * 订单模板Mapper
 */
public interface OrderTemplateMapper {

    int insert(OrderTemplate orderTemplate);

    int update(OrderTemplate orderTemplate);

    int delete(Long id);

    int batchDelete(Set<Long> ids);

    OrderTemplate selectById(Long id);

    List<OrderTemplate> selectByIds(Set<Long> ids);

    List<OrderTemplate> select(OrderTemplate orderTemplate);

    // OrderTemplateGoods 接口

    int deleteGoods(Long orderTemplateId);

    List<OrderTemplateGoods> selectGoods(Long orderTemplateId);

    int insertGoods(OrderTemplateGoods goods);

}
